Index: alcyon/etiwsn.s
===================================================================
--- alcyon/etiwsn.s	(revision 7bf3856f4ff505a2174d89c937caf328029e3574)
+++ alcyon/etiwsn.s	(revision 7bf3856f4ff505a2174d89c937caf328029e3574)
@@ -0,0 +1,426 @@
+.globl _ebflag
+.globl _ebuf
+.globl _curfet
+.globl _cfetp
+.globl _infetp
+.globl _io_time
+.globl _io_lcd
+.globl _io_ser
+.globl _io_midi
+.globl _io_disk
+.globl _io_tone
+.globl _io_leds
+.globl _io_kbrd
+.globl _lcd_a0
+.globl _lcd_a1
+.globl _io_vreg
+.globl _io_vraw
+.globl _io_vram
+.globl _io_fpu
+.globl _v_regs
+.globl _v_odtab
+.globl _v_actab
+.globl _v_ct0
+.globl _v_gt1
+.globl _v_score
+.globl _v_cgtab
+.globl _v_curs0
+.globl _v_curs1
+.globl _v_curs2
+.globl _v_curs3
+.globl _v_curs4
+.globl _v_curs5
+.globl _v_curs6
+.globl _v_curs7
+.globl _v_tcur
+.globl _v_kbobj
+.globl _v_lnobj
+.globl _v_win0
+.globl _v_cur
+.globl _fc_sw
+.globl _fc_val
+.globl _instob
+.globl _stcrow
+.globl _stccol
+.globl _curvce
+.globl _idbox
+.globl _dspbuf
+.globl _vbufs
+.globl _wslib
+.globl _et_iwsn
+.text
+_et_iwsn:
+~~et_iwsn:
+~nn=8
+link R14,#0
+movem.l R6-R7,-(sp)
+~m=R7
+*line 45
+move 8(R14),R7
+asr #8,R7
+*line 47
+*line 48
+tst R7
+beq L10000
+move _curvce,R0
+muls #3938,R0
+move.l R0,R8
+move.l #_vbufs,R9
+move.b 73(R8,R9.l),R0
+ext.w R0
+move R0,(sp) 
+add #1,(sp)
+bra L10002
+L10000:move _curvce,R0
+muls #3938,R0
+move.l R0,R8
+move.l #_vbufs,R9
+move.b 72(R8,R9.l),R0
+ext.w R0
+move R0,(sp) 
+add #1,(sp)
+L10002:move.l #L2,-(sp)
+move.l #_ebuf,-(sp)
+jsr _sprintf
+addq.l #8,sp
+*line 49
+move #1,_ebflag
+*line 51
+clr R0
+bra L1
+L1:tst.l (sp)+
+movem.l (sp)+,R7-R7
+unlk R14
+rts
+.globl _ef_iwsn
+.text
+_ef_iwsn:
+~~ef_iwsn:
+~nn=8
+link R14,#0
+movem.l R4-R7/R13-R13,-(sp)
+~i=R7
+~tmpval=R6
+~m=R5
+~fpuws=R13
+*line 70
+move 8(R14),R5
+asr #8,R5
+*line 71
+clr.b 2+_ebuf
+*line 72
+clr _ebflag
+*line 74
+clr R6
+*line 76
+clr R7
+bra L6
+L7:
+*line 77
+muls #10,R6
+move.l #_ebuf,R8
+move.b 0(R8,R7),R0
+ext.w R0
+add R0,R6
+add #-48,R6
+L5:
+*line 76
+add #1,R7
+L6:
+*line 76
+cmp #2,R7
+blt L7
+L4:
+*line 79
+*line 80
+tst R6
+beq L10003
+cmp #20,R6
+ble L8
+L10003:*line 80
+move #-1,R0
+bra L3
+*line 81
+L8:
+*line 82
+*line 82
+tst R5
+beq L9
+*line 83
+*line 84
+*line 85
+move R6,R0
+sub #1,R0
+move _curvce,R1
+muls #3938,R1
+add.l #_vbufs,R1
+move.l R1,R9
+move.b R0,73(R9)
+*line 86
+*line 87
+*line 88
+move #540,(sp)
+move R6,R0
+sub #1,R0
+muls #1080,R0
+add.l #_wslib,R0
+move.l R0,-(sp)
+move _curvce,R0
+muls #3938,R0
+add.l #_vbufs,R0
+move.l R0,-(sp)
+add.l #2858,(sp)
+jsr _memcpyw
+addq.l #8,sp
+*line 89
+*line 90
+move _curvce,R0
+move #9,R1
+asl R1,R0
+asl #1,R0
+ext.l R0
+move.l R0,R13
+add.l #_io_fpu,R13
+add.l #$2,R13
+*line 91
+*line 92
+move #254,(sp)
+move _curvce,R0
+muls #3938,R0
+add.l #_vbufs,R0
+move.l R0,-(sp)
+add.l #2858,(sp)
+move.l R13,-(sp)
+jsr _memcpyw
+addq.l #8,sp
+*line 93
+*line 94
+move _curvce,R0
+muls #3938,R0
+add.l #_vbufs,R0
+move.l R0,R8
+move 2858(R8),-2(R13)
+*line 95
+move _curvce,R0
+muls #3938,R0
+add.l #_vbufs,R0
+move.l R0,R8
+move 3364(R8),508(R13)
+*line 96
+bra L10
+L9:
+*line 97
+*line 98
+*line 99
+*line 100
+*line 101
+move R6,R0
+sub #1,R0
+move _curvce,R1
+muls #3938,R1
+add.l #_vbufs,R1
+move.l R1,R9
+move.b R0,72(R9)
+*line 102
+*line 103
+*line 104
+move #540,(sp)
+move R6,R0
+sub #1,R0
+muls #1080,R0
+add.l #_wslib,R0
+move.l R0,-(sp)
+move _curvce,R0
+muls #3938,R0
+add.l #_vbufs,R0
+move.l R0,-(sp)
+add.l #1778,(sp)
+jsr _memcpyw
+addq.l #8,sp
+*line 105
+*line 106
+move _curvce,R0
+move #9,R1
+asl R1,R0
+asl #1,R0
+ext.l R0
+move.l R0,R13
+add.l #_io_fpu,R13
+add.l #$202,R13
+*line 107
+*line 108
+move #254,(sp)
+move _curvce,R0
+muls #3938,R0
+add.l #_vbufs,R0
+move.l R0,-(sp)
+add.l #1778,(sp)
+move.l R13,-(sp)
+jsr _memcpyw
+addq.l #8,sp
+*line 109
+*line 110
+move _curvce,R0
+muls #3938,R0
+add.l #_vbufs,R0
+move.l R0,R8
+move 1778(R8),-2(R13)
+*line 111
+move _curvce,R0
+muls #3938,R0
+add.l #_vbufs,R0
+move.l R0,R8
+move 2284(R8),508(R13)
+L10:
+*line 114
+move #21,(sp)
+jsr _dswin
+*line 115
+jsr _modinst
+*line 116
+clr R0
+bra L3
+L3:tst.l (sp)+
+movem.l (sp)+,R5-R7/R13-R13
+unlk R14
+rts
+.globl _rd_iwsn
+.text
+_rd_iwsn:
+~~rd_iwsn:
+~nn=8
+link R14,#0
+movem.l R5-R7,-(sp)
+~m=R7
+~n=R6
+*line 134
+move 8(R14),R7
+asr #8,R7
+and #255,R7
+*line 135
+move 8(R14),R6
+and #255,R6
+*line 137
+*line 138
+tst R7
+beq L10004
+move _curvce,R0
+muls #3938,R0
+move.l R0,R8
+move.l #_vbufs,R9
+move.b 73(R8,R9.l),R0
+ext.w R0
+move R0,(sp) 
+add #1,(sp)
+bra L10006
+L10004:move _curvce,R0
+muls #3938,R0
+move.l R0,R8
+move.l #_vbufs,R9
+move.b 72(R8,R9.l),R0
+ext.w R0
+move R0,(sp) 
+add #1,(sp)
+L10006:move.l #L12,-(sp)
+move.l #_dspbuf,-(sp)
+jsr _sprintf
+addq.l #8,sp
+*line 140
+clr (sp)
+jsr _vbank
+*line 142
+*line 143
+move #14,(sp)
+move.l #_dspbuf,-(sp)
+move.l _cfetp,R8
+move 2(R8),-(sp)
+move.l _cfetp,R8
+move (R8),-(sp)
+move R6,R0
+asl #4,R0
+ext.l R0
+move.l R0,R8
+move.l #_idbox,R9
+move 10(R8,R9.l),-(sp)
+tst R7
+beq L10007
+move #4,-(sp)
+bra L10009
+L10007:move #8,-(sp)
+L10009:move #64,-(sp)
+move.l _instob,-(sp)
+jsr _vcputsv
+adda.l #18,sp
+*line 145
+clr R0
+bra L11
+L11:tst.l (sp)+
+movem.l (sp)+,R6-R7
+unlk R14
+rts
+.globl _nd_iwsn
+.text
+_nd_iwsn:
+~~nd_iwsn:
+~k=R7
+~nn=8
+link R14,#0
+movem.l R3-R7,-(sp)
+~ec=R6
+~c=R5
+~n=R4
+*line 164
+move 10(R14),R7
+*line 164
+move 8(R14),R4
+and #255,R4
+*line 166
+move _stccol,R6
+move.l _cfetp,R8
+move 2(R8),R0
+sub R0,R6
+*line 167
+move R7,R0
+add #48,R0
+move R6,R9
+add.l #_ebuf,R9
+move.b R0,(R9)
+*line 168
+clr.b 2+_ebuf
+*line 170
+move R7,R0
+add #48,R0
+move.b R0,_dspbuf
+*line 171
+clr.b 1+_dspbuf
+*line 173
+clr (sp)
+jsr _vbank
+*line 174
+move #14,(sp)
+move.l #_dspbuf,-(sp)
+move _stccol,-(sp)
+move _stcrow,-(sp)
+move R4,R0
+asl #4,R0
+ext.l R0
+move.l R0,R8
+move.l #_idbox,R9
+move 10(R8,R9.l),-(sp)
+move #10,-(sp)
+move #64,-(sp)
+move.l _instob,-(sp)
+jsr _vcputsv
+adda.l #18,sp
+*line 176
+jsr _advicur
+*line 178
+clr R0
+bra L13
+L13:tst.l (sp)+
+movem.l (sp)+,R4-R7
+unlk R14
+rts
+.data
+L2:.dc.b $25,$30,$32,$64,$0
+L12:.dc.b $25,$30,$32,$64,$0
